task samtools {
    File bam_file
    String bam_id=basename(bam_file)
    String docker
    String cluster
    String disk_size


    command <<<
       set -o pipefail
       set -e        
       mkdir -p /cromwell_root/tmp/
       cp ${bam_file} /cromwell_root/tmp/
       /opt/conda/bin/samtools index -b /cromwell_root/tmp/${bam_id}

    >>>

    runtime {
       docker: docker
       cluster: cluster
       systemDisk: "cloud_ssd 40"
       dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
    }

    output {
      File bam = "${bam_id}"      
      File bam_index = "${bam_id}.bai"
    }

}